//設定cookie
function setCookie(name,value)
{
    var Days = 30;
    var exp = new Date();
    exp.setTime(exp.getTime() + Days*24*60*60*1000);
    document.cookie = name + "="+ escape (value) + ";expires=" + exp.toGMTString();
}

//獲取cookie
function getCookie(name)
{
    var arr,reg=new RegExp("(^| )"+name+"=([^;]*)(;|$)");
    if(arr=document.cookie.match(reg))
    return unescape(arr[2]);
    else
    return null;
}

var zh = {
    "logleftbox1": "將你的生活、創作 、宣傳做成影片",
    "logleftbox2": "開始使用 AI Spokesgirl",
    "make_video" : "影片製作",
    "make_slides" : "投影影片製作",
    "make_video_long": "長影片製作",
    "make_video_eng": "英文影片製作",
    "login" : "登入",
    "user_profile": "會員資料",
    "logout": "登出",
    "en": "English",
    "zh": "中文",
    "choose_character": "選擇人物",
    "usage_intro": "使用說明",
    "history": "歷史紀錄",
    "preview_videos": "預覽影片",
    "video_link":  "影片連結",
    "video_title": "標題",
    "p_choose_character": "請選擇人物",
    "lines": "台詞",
    "img_link": "影像連結",
    "processing_progress": "處理進度",
    "usage_intro": "使用說明",
    "one_line_to_one_img": "1. 一句台詞請對應提供一個影像連結做為搭配",
    "sup_img_profile": "2. 影像連結檔案格式支援：",
    "submit_to_wait": "3. 點選“送出”之後需等待一段影片製作的時間，請您耐心等候，待製作完畢可於通知網址查看",
    "add_eng": "加入英文:",
    "submit": "送出",
    "privacy_term": "同意隱私政策及使用條款",
    "newHere": "還沒有帳號？",
    "goRegister": "註冊",
    "pricing" : "早鳥方案",
    "errorEmail": "請輸入正確E-mail",
    "errorPsd": "密碼至少為4個字元",
    "used": "已使用",
    "left": "未使用",
    "sec": "秒",
    "username": "帳號/用戶名稱",
    "password": "密碼",
    "resetPsd": "更改密碼",
    "details": "查看詳情",
    "refill": "我要加值",
    "Createsthtoday": "今天要做甚麼影片呢?",
    "date": "日期",
    "video_duration": "影片時間",
    "slide_link": "SLIDE 連結",
    "new_pwd": "新密碼",
    "confirm_pwd": "驗證碼"
};

var en = {
    "logleftbox1": "Make your first video for promotion, creation and life today",
    "logleftbox2": "Let's get started with AI Spokesgirl",
    "make_video" : "Make Videos",
    "make_slides" : "Make Videos By Slides",
    "make_video_long": "Make Long Videos",
    "make_video_eng": "Make English Video",
    "login" : "Login",
    "user_profile": "User Profile",
    "logout": "Logout",
    "en": "English",
    "zh": "中文",
    "choose_character": "Choose Character",
    "usage_intro": "Usage Introduction",
    "history": "History",
    "preview_videos": "Preview Videos",
    "video_link":  "Video Link",
    "video_title": "Video Title",
    "p_choose_character": "Choose Character",
    "lines": "Lines",
    "img_link": "Image Link",
    "processing_progress": "Processing Progress",
    "usage_intro": "Usage Introduction",
    "one_line_to_one_img": "1. Please Provide an Image Link Corresponding to a Line as a Collocation",
    "sup_img_profile": "2. Support File Format:",
    "submit_to_wait": "3. After Clicking Submit, You Will Need To Wait For A Period Of Time For The Production Of The Video. Please Wait Patiently. You Can Check It At The Notification URL When The Production Is Completed.",
    "add_eng": "Allow English Lines:",
    "submit": "Submit",
    "privacy_term": "I Agree to privacy policy and terms of use.",
    "newHere": "New here?",
    "goRegister": "REGISTER",
    "pricing" : "Pricing",
    "errorEmail": "Please enter valid Email format.",
    "errorPsd": "Passwords must be at least 4 characters long.",
    "used": "Already Used",
    "left": "Left",
    "sec": "Sec",
    "username": "User Name",
    "password": "password",
    "resetPsd": "Reset Password",
    "details": "Details",
    "refill": "Refill",
    "Createsthtoday": "Create something today!",
    "date": "Date",
    "video_duration": "Duration",
    "slide_link": "SLIDE Link",
    "new_pwd": "New Password",
    "confirm_pwd": "Confirmation Code"
};


// 4. 轉換
function changeLan(val) {
    var val = val.value;
    console.log(`val: ${val}`);
    setCookie('lan', val);
    $('[set-lan]').each(function(){
        var me = $(this);
        var a = me.attr('set-lan').split(':');
        var p = a[0];   //文字放置位置
        var m = a[1];   //文字標示
        
        //用虎選擇語言後保存在cookie中，這裡讀取cooikes的語言版本
        var lan = getCookie('lan');
        console.log(lan);
    
        //選取語言文字
        switch(lan){
            case 'zh':
                var t = zh[m];  
                console.log(t);
                break;
            case 'en':
                var t = en[m];
                console.log(t);
                break;
            default:
                var t = zh[m];
                console.log(t);
        }
    
        //所選語言沒有就換
        if(t==undefined) t = en[m];
        if(t==undefined) t = zh[m];
    
        if(t==undefined) return true;   //都沒有就跳出
    
        //文字放置位置有（html,val等，可以自己添加）
        switch(p){
            case 'html':
                me.html(t);
                break;
            case 'placeholder':
                me.placeholder(t);
                console.log("placeholder");
                console.log(t);
            case 'val':
            case 'value':
                me.val(t);
                break;
            default:
                me.html(t);
        }
    
    });
}



// js裡面的轉換
function get_lan(m)
{
    //獲取文字
    var lan = getCookie('lan');     //語言版本
    //選取語言文字
    switch(lan){
        case 'zh':
            var t = zh[m];
            break;
        case 'hk':
            var t = hk[m];
            break;
        default:
            var t = en[m];
    }

    //如果沒有找到就轉換其他語言
    if(t==undefined) t = zh[m];
    if(t==undefined) t = en[m];
    if(t==undefined) t = hk[m];

    if(t==undefined) t = m; //如果還是沒有就直接用標示

    return t;
}


// 預設中文版
var lan = getCookie('lan');

if(lan) {
    changeLan(lan);
}
console.log(`目前語言版本: ${lan}`);
